SparkFun Forums 

Where electronics enthusiasts find answers.

Topics pertaining to the Arduino Core & software used with the Artemis module and Artemis development boards.
User avatar
By dbj1906
#219854
I just got my hands on an Artemis RTP; tried the blinky program, and got an compile error (verbose output pasted below). I believe there is an error because my user name has a space in it ("Darian Johnson"). Thoughts? I'm using Arduino IDE 1.8.12. I don't get this error with any other boards (Arduino or Adafruit)
Code: Select all
C:\Program Files (x86)\Arduino\arduino-builder -dump-prefs -logger=machine -hardware C:\Program Files (x86)\Arduino\hardware -hardware C:\Users\Darian Johnson\AppData\Local\Arduino15\packages -tools C:\Program Files (x86)\Arduino\tools-builder -tools C:\Program Files (x86)\Arduino\hardware\tools\avr -tools C:\Users\Darian Johnson\AppData\Local\Arduino15\packages -built-in-libraries C:\Program Files (x86)\Arduino\libraries -libraries C:\Users\Darian Johnson\Documents\Arduino\libraries -fqbn=SparkFun:apollo3:sfe_artemis_atp:svl_baud=921600,loader=option_asb -vid-pid=1A86_7523 -ide-version=10812 -build-path C:\Users\DARIAN~1\AppData\Local\Temp\arduino_build_718006 -warnings=none -build-cache C:\Users\DARIAN~1\AppData\Local\Temp\arduino_cache_762348 -prefs=build.warn_data_percentage=75 -prefs=runtime.tools.arm-none-eabi-gcc.path=C:\Users\Darian Johnson\AppData\Local\Arduino15\packages\SparkFun\tools\arm-none-eabi-gcc\8-2018-q4-major -prefs=runtime.tools.arm-none-eabi-gcc-8-2018-q4-major.path=C:\Users\Darian Johnson\AppData\Local\Arduino15\packages\SparkFun\tools\arm-none-eabi-gcc\8-2018-q4-major -verbose C:\Users\DARIAN~1\AppData\Local\Temp\arduino_modified_sketch_928260\Blink.ino
C:\Program Files (x86)\Arduino\arduino-builder -compile -logger=machine -hardware C:\Program Files (x86)\Arduino\hardware -hardware C:\Users\Darian Johnson\AppData\Local\Arduino15\packages -tools C:\Program Files (x86)\Arduino\tools-builder -tools C:\Program Files (x86)\Arduino\hardware\tools\avr -tools C:\Users\Darian Johnson\AppData\Local\Arduino15\packages -built-in-libraries C:\Program Files (x86)\Arduino\libraries -libraries C:\Users\Darian Johnson\Documents\Arduino\libraries -fqbn=SparkFun:apollo3:sfe_artemis_atp:svl_baud=921600,loader=option_asb -vid-pid=1A86_7523 -ide-version=10812 -build-path C:\Users\DARIAN~1\AppData\Local\Temp\arduino_build_718006 -warnings=none -build-cache C:\Users\DARIAN~1\AppData\Local\Temp\arduino_cache_762348 -prefs=build.warn_data_percentage=75 -prefs=runtime.tools.arm-none-eabi-gcc.path=C:\Users\Darian Johnson\AppData\Local\Arduino15\packages\SparkFun\tools\arm-none-eabi-gcc\8-2018-q4-major -prefs=runtime.tools.arm-none-eabi-gcc-8-2018-q4-major.path=C:\Users\Darian Johnson\AppData\Local\Arduino15\packages\SparkFun\tools\arm-none-eabi-gcc\8-2018-q4-major -verbose C:\Users\DARIAN~1\AppData\Local\Temp\arduino_modified_sketch_928260\Blink.ino
Using board 'sfe_artemis_atp' from platform in folder: C:\Users\Darian Johnson\AppData\Local\Arduino15\packages\SparkFun\hardware\apollo3\2.0.1
Using core 'arduino' from platform in folder: C:\Users\Darian Johnson\AppData\Local\Arduino15\packages\SparkFun\hardware\apollo3\2.0.1
Detecting libraries used...
"C:\\Users\\Darian Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\tools\\arm-none-eabi-gcc\\8-2018-q4-major/bin/arm-none-eabi-g++" -include "C:\\Users\\Darian" "Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1\\variants\\SFE_ARTEMIS_ATP/mbed/mbed_config.h" -include "C:\\Users\\Darian" "Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1/cores/arduino/sdk/ArduinoSDK.h" "-iprefixC:\\Users\\Darian" "Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1/cores/" "@C:\\Users\\Darian" "Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1\\variants\\SFE_ARTEMIS_ATP/mbed/.cxx-flags" -w -x c++ -E -CC -DARDUINO=10812 -DARDUINO_APOLLO3_SFE_ARTEMIS_ATP -DARDUINO_ARCH_MBED -DARDUINO_ARCH_APOLLO3 -DMBED_NO_GLOBAL_USING_DIRECTIVE -DCORDIO_ZERO_COPY_HCI "-IC:\\Users\\Darian Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1\\cores\\arduino" "-IC:\\Users\\Darian Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1\\variants\\SFE_ARTEMIS_ATP" "-IC:\\Users\\Darian Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1/cores/arduino" "-IC:\\Users\\Darian Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1/cores/arduino/mbed-bridge" "-IC:\\Users\\Darian Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1/cores/arduino/mbed-bridge/core-api" "@C:\\Users\\Darian" "Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1\\variants\\SFE_ARTEMIS_ATP/mbed/.includes" "C:\\Users\\DARIAN~1\\AppData\\Local\\Temp\\arduino_build_718006\\sketch\\Blink.ino.cpp" -o nul
Error while detecting libraries included by C:\Users\DARIAN~1\AppData\Local\Temp\arduino_build_718006\sketch\Blink.ino.cpp
Generating function prototypes...
"C:\\Users\\Darian Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\tools\\arm-none-eabi-gcc\\8-2018-q4-major/bin/arm-none-eabi-g++" -include "C:\\Users\\Darian" "Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1\\variants\\SFE_ARTEMIS_ATP/mbed/mbed_config.h" -include "C:\\Users\\Darian" "Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1/cores/arduino/sdk/ArduinoSDK.h" "-iprefixC:\\Users\\Darian" "Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1/cores/" "@C:\\Users\\Darian" "Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1\\variants\\SFE_ARTEMIS_ATP/mbed/.cxx-flags" -w -x c++ -E -CC -DARDUINO=10812 -DARDUINO_APOLLO3_SFE_ARTEMIS_ATP -DARDUINO_ARCH_MBED -DARDUINO_ARCH_APOLLO3 -DMBED_NO_GLOBAL_USING_DIRECTIVE -DCORDIO_ZERO_COPY_HCI "-IC:\\Users\\Darian Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1\\cores\\arduino" "-IC:\\Users\\Darian Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1\\variants\\SFE_ARTEMIS_ATP" "-IC:\\Users\\Darian Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1/cores/arduino" "-IC:\\Users\\Darian Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1/cores/arduino/mbed-bridge" "-IC:\\Users\\Darian Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1/cores/arduino/mbed-bridge/core-api" "@C:\\Users\\Darian" "Johnson\\AppData\\Local\\Arduino15\\packages\\SparkFun\\hardware\\apollo3\\2.0.1\\variants\\SFE_ARTEMIS_ATP/mbed/.includes" "C:\\Users\\DARIAN~1\\AppData\\Local\\Temp\\arduino_build_718006\\sketch\\Blink.ino.cpp" -o "C:\\Users\\DARIAN~1\\AppData\\Local\\Temp\\arduino_build_718006\\preproc\\ctags_target_for_gcc_minus_e.cpp"
arm-none-eabi-g++: error: Johnson\AppData\Local\Arduino15\packages\SparkFun\hardware\apollo3\2.0.1\variants\SFE_ARTEMIS_ATP/mbed/mbed_config.h: No such file or directory
arm-none-eabi-g++: error: Johnson\AppData\Local\Arduino15\packages\SparkFun\hardware\apollo3\2.0.1/cores/arduino/sdk/ArduinoSDK.h: No such file or directory
arm-none-eabi-g++: error: Johnson\AppData\Local\Arduino15\packages\SparkFun\hardware\apollo3\2.0.1/cores/: No such file or directory
arm-none-eabi-g++: error: C:\Users\Darian: No such file or directory
arm-none-eabi-g++: error: Johnson\AppData\Local\Arduino15\packages\SparkFun\hardware\apollo3\2.0.1\variants\SFE_ARTEMIS_ATP/mbed/.cxx-flags: No such file or directory
arm-none-eabi-g++: error: C:\Users\Darian: No such file or directory
arm-none-eabi-g++: error: Johnson\AppData\Local\Arduino15\packages\SparkFun\hardware\apollo3\2.0.1\variants\SFE_ARTEMIS_ATP/mbed/.includes: No such file or directory
exit status 1
Error compiling for board RedBoard Artemis ATP.
By stephenf
#219867
I don't know how you would install in a new location or rename the folder, that might be easy or it might not.

Actually an easy thing to try would be installing the previous version of the Artemis Core - ie. 1.2.0 instead of 2.0.1. The new 2.0.1 core has quite a few issues, if you are lucky that might be one of them.
By stephenf
#220125
Great you are working, also great to see you've made an issue about it on the Apollo3 Github core (don't forget to update it).

Not so great the number and range of issues with the v2.x.x cores. No doubt a huge amount of work has gone into it and it will be awesome when it's a bit more stable, but not quite yet (I haven't tried 2.0.2 yet though).
 Topic permissions

You can post new topics in this forum
You can reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

long long title how many chars? lets see 123 ok more? yes 60

We have created lots of YouTube videos just so you can achieve [...]

Another post test yes yes yes or no, maybe ni? :-/

The best flat phpBB theme around. Period. Fine craftmanship and [...]

Do you need a super MOD? Well here it is. chew on this

All you need is right here. Content tag, SEO, listing, Pizza and spaghetti [...]

Lasagna on me this time ok? I got plenty of cash

this should be fantastic. but what about links,images, bbcodes etc etc? [...]